%global codename fuerte
%global shortname visualization_common

Name:		ros-%{codename}-visualization-common
Version:	1.8.4
Release:	3%{?dist}
Summary:	Common ROS stack for visualization tools
License:	BSD
URL:		http://ros.org/wiki/visualization_common
Source0:	https://code.ros.org/svn/release/download/stacks/visualization_common/visualization_common-%{version}/visualization_common-%{version}.tar.bz2
# common_rosdeps is obsolete as of fuerte
Patch0:		ros-visualization_common-nocr.patch
Patch1:		ros-visualization-common-ogre-plugin-path.patch
BuildRequires:	ros-%{codename}-ros-devel, ros-%{codename}-ros-comm-devel
BuildRequires:	zziplib-devel, libXaw-devel, mesa-libGLU-devel, mesa-libGL-devel
BuildRequires:	libXxf86vm-devel, libXrandr-devel, gtk2-devel, freeimage-devel
BuildRequires:	ogre-devel, rospkg
BuildRequires:	cmake, python-yaml
BuildRequires:	chrpath
Provides:	ros-%{shortname} = %{version}-%{release}
Provides:	ros-visualization-common = %{version}-%{release}

%description
This package provides a low-level shared ROS stack for sharing code between 
various higher level visualization tools.

%package devel
Summary:	Development files for ROS visualization_common
Requires:	ros-%{codename}-ros-devel, ros-%{codename}-ros-comm-devel
Requires:	%{name} = %{version}-%{release}
Requires:	zziplib-devel, libXaw-devel, mesa-libGLU-devel,	mesa-libGL-devel
Requires:	libXxf86vm-devel, libXrandr-devel, gtk2-devel, freeimage-devel
Requires:	ogre-devel
Provides:	ros-%{shortname}-devel = %{version}-%{release}
Provides:	ros-visualization-common-devel = %{version}-%{release}

%description devel
Development files for ROS visualization_common.

%prep
%setup -q -c
# We have to do this so the cmake gunk can find itself. So idiotic.
mv %{shortname}-%{version} %{shortname}
%patch0 -p1 -b .nocr
%patch1 -p1 -b .ogre-plugin-path

sed -i 's|@@LIBDIR@@|%{_libdir}|g' %{shortname}/ogre/manifest.xml

mkdir -p %{shortname}/ogre_tools/bin

%build
cd %{shortname}
source /etc/catkin/profile.d/10.ros.all
export ROS_PACKAGE_PATH="%{_builddir}/%{name}-%{version}:$ROS_PACKAGE_PATH"
for i in ogre_tools; do
  pushd $i
  mkdir build
  cd build
  %cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
  make %{?_smp_mflags}
  popd
done

%install
cd %{shortname}
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/
cp -a stack.xml %{buildroot}%{_datadir}/ros-stacks/%{shortname}/

#ogre
pushd ogre
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/ogre
cp *.xml %{buildroot}%{_datadir}/ros-stacks/%{shortname}/ogre/
popd

#ogre_tools
pushd ogre_tools
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/ogre_tools/bin
cp *.xml %{buildroot}%{_datadir}/ros-stacks/%{shortname}/ogre_tools/
cp bin/stl_to_mesh %{buildroot}%{_bindir}
ln -s %{_bindir}/stl_to_mesh %{buildroot}%{_datadir}/ros-stacks/%{shortname}/ogre_tools/bin/stl_to_mesh
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/ogre_tools/lib
cp lib/libogre_tools.so %{buildroot}%{_libdir}
ln -s %{_libdir}/libogre_tools.so %{buildroot}%{_datadir}/ros-stacks/%{shortname}/ogre_tools/lib/libogre_tools.so
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/ogre_tools/src/ogre_tools/
cp -a src/ogre_tools/*.h %{buildroot}%{_datadir}/ros-stacks/%{shortname}/ogre_tools/src/ogre_tools/
popd

chrpath -d %{buildroot}%{_bindir}/* 
chrpath -d %{buildroot}%{_libdir}/*.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_bindir}/stl_to_mesh
%{_datadir}/ros-stacks/%{shortname}/
%exclude %{_datadir}/ros-stacks/%{shortname}/ogre_tools/src/
%{_libdir}/libogre_tools.so

%files devel
%{_datadir}/ros-stacks/%{shortname}/ogre_tools/src/

%changelog
* Tue Jun  5 2012 Tom Callaway <spot@fedoraproject.org> - 1.8.4-3
- fix OGRE_PLUGIN_PATH

* Mon Jun  4 2012 Tom Callaway <spot@fedoraproject.org> - 1.8.4-2
- package up the header files

* Mon Jun  4 2012 Tom Callaway <spot@fedoraproject.org> - 1.8.4-1
- initial package
